# Enum IosProjectType

java.lang.Object
java.lang.Enum<IosProjectType>
com.codename1.annotations.buildhints.IosProjectType

All Implemented Interfaces:
  `Comparable<IosProjectType>`

public enum IosProjectType extends Enum<IosProjectType>

Accepted values of the `ios.project_type` build hint.

Each constant's `@HintValue` carries the string the build actually receives, which is not always the constant's own name.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DEFAULT`
  Say nothing, and let the build server apply its own default.
  `IOS`
  `IPAD`
  `IPHONE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static IosProjectType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static IosProjectType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, equals, getDeclaringClass, getEnumValues, hashCode, name, ordinal, setEnumValues, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DEFAULT

    public static final IosProjectType DEFAULT
    Say nothing, and let the build server apply its own default.

  - ### IOS

    public static final IosProjectType IOS

  - ### IPAD

    public static final IosProjectType IPAD

  - ### IPHONE

    public static final IosProjectType IPHONE

- ## Method Details

  - ### values

    public static IosProjectType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static IosProjectType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null